Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 29 Dec 2022 16:27:30 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I was expecting my order delivery today and was waiting at my hotel but I received a message stating that they failed to deliver because of the wrong phone number 

My number is correct in the order I have placed 

I don't want to wait again for the order tomorrow
If they can deliver in the morning by 10:30 am, its good, otherwise I will pick it up from Burjuman branch on the 2nd of January, 2023 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5522210